Bug 1476 - Watch on member of array doesn`t work.
Watch on member of array doesn`t work.
Status: CLOSED FIXED
Product: debugger
Classification: Unclassified
Component: Java
3.x
All All
: P4 (vote)
: TBD
Assigned To: Milan Kubec
issues@debugger
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 1999-04-09 01:21 UTC by Milan Kubec
Modified: 2003-06-30 17:36 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Milan Kubec 1999-04-09 01:21:38 UTC
Watch on member of array (array[3]) doesn`t work, it display null. Watching this member in whole array is OK.

[Hanz] It works with JPDADebugger. Tools debugger do not supports resolving of expressions.
Comment 1 Marek Grummich 2000-07-25 09:24:59 UTC
Priority is changed to P4 (normal).
Comment 2 Jan Stola 2001-03-09 16:23:04 UTC
Reopenned due to wrong resolution.
Comment 3 Jan Stola 2001-03-09 16:23:52 UTC
It have sense only in JPDA debugger.
Comment 4 Jan Stola 2001-03-09 16:24:44 UTC
Verified in Forte for Java 2.0, Pilsen (build 010308) and Netbeans 140.
Comment 5 Quality Engineering 2003-06-30 17:36:23 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo